how to install djview4?

Issues related to applications and software problems
centguy
Posts: 239
Joined: 2008/08/11 16:03:29

how to install djview4?

Postby centguy » 2017/09/24 06:49:47

I am on CentOS 6.9

yum install djvulibre

ok

but there is no djview4

Code: Select all

yum list djview*
Loaded plugins: fastestmirror, nvidia, refresh-packagekit, security
Loading mirror speeds from cached hostfile
 * base: mirror.myren.net.my
 * elrepo: muug.ca
 * epel: mirror.vinahost.vn
 * extras: mirror.myren.net.my
 * updates: mirror.myren.net.my
Error: No matching Packages to list


centguy
Posts: 239
Joined: 2008/08/11 16:03:29

Re: how to install djview4?

Postby centguy » 2017/09/24 13:36:12

Try to follow

[url]
https://scientificlinuxforum.org/index. ... topic=3552
[/url]

but it does not

create the following file in /etc/yum.repos.d/puias-unsupported


as claimed..

No luck.

centguy
Posts: 239
Joined: 2008/08/11 16:03:29

Re: how to install djview4?

Postby centguy » 2017/09/24 13:37:59

Downloaded the source of djview4 but hit this:

./configure



Code: Select all


checking for shmat... yes
checking for IceConnectionNumber in -lICE... yes
checking for qmake... no
configure: error: Cannot find the Qt program qmake.
Please define variable QMAKE and possibly QMAKESPEC.
Defining QTDIR can help although it is deprecated.
[root@centos69-Lenovo djview-4.10.6]#


Google Please define variable QMAKE and possibly QMAKESPEC.

does not seem to find anything that suit CentOS 6.9.

umm..

centguy
Posts: 239
Joined: 2008/08/11 16:03:29

Re: how to install djview4?

Postby centguy » 2017/09/24 13:57:45

yum install qpdfview

solves the problem.

centguy
Posts: 239
Joined: 2008/08/11 16:03:29

Re: how to install djview4?

Postby centguy » 2017/09/25 03:05:23

Update:

On an old CentOS 6.x, I compiled djview4,

saw this:

Code: Select all


checking for qmake... /opt/anaconda3/bin/qmake
checking Qt version... qt4 (4.8.7)
checking for real qmake path... /opt/anaconda3/bin/qmake
checking for moc... /opt/anaconda3/bin/moc


I could compile djview4 from source.

I guess I have installed anaconda3 when I installed jupyter on this system. Somehow Qt 4 is installed
as a dependency for jupyter.

I am going to repeat the same steps on CentOS 6.9. I believe it should work.

My latest approach is not direct, but it should works.

centguy
Posts: 239
Joined: 2008/08/11 16:03:29

Re: how to install djview4?

Postby centguy » 2017/10/17 02:23:26

Just an update:

This is how I built djview on CentOS 6.9 recently.

As root:

First install anaconda, I find

Anaconda3-2.5.0-Linux-x86_64.sh
is good enough (the lastest one have problems with ./configure later)

yum install djvulibre-devel djvulibre-libs

yum install libGL-devel libGLU-devel libXmu-devel

Download djview-4.10.6.tar.gz from internet.

./configure

(If there are missing stuff, repeat yum install to get all required dependencies).

make; make install

DONE.